Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.pattern
Class AbsolutePathPattern

    java.lang.Object
      com.novell.xsl.pattern.RelativePathPattern
          com.novell.xsl.pattern.AbsolutePathPattern

All Implemented Interfaces:
  Pattern

    public class AbsolutePathPattern

extends RelativePathPattern
implements Pattern

Implements part of the XSLT LocationPathPattern production.

Field Summary

Fields inherited from class com.novell.xsl.pattern.RelativePathPattern
`axis, lhs, rhs`

Fields inherited from interface com.novell.xsl.pattern.Pattern
`ANY_TARGET, ATTRIBUTE_NAMED_TARGET, ATTRIBUTE_WILDCARD_TARGET, COMMENT_TARGET, ELEMENT_NAMED_TARGET, ELEMENT_WILDCARD_TARGET, NAMESPACE_TARGET, PI_TARGET, ROOT_TARGET, TEXT_TARGET`

Constructor Summary
`AbsolutePathPattern()` Construct an AbsolutePathPattern that corresponds to the following: LocationPathPattern ::= '/'
`AbsolutePathPattern(RelativePathPattern pattern)` Construct an AbsolutePathPattern that corresponds to: LocationPathPattern ::= '/' RelativeLocationPath

Method Summary
`double` | `getDefaultPriority()` Return the default priority for this pattern.
`int` | `getTarget()` Return the target type of this Pattern.
`ExpandedQName` | `getTargetName()` Return the name of the patterns target, if there is a target name.
`protected Node` | `performMatch(Node node, ExpressionContext context)` Perform the match semantics on the passed node.
`String` | `toString()` Provide a readable description for debugging.

Methods inherited from class com.novell.xsl.pattern.RelativePathPattern
`dump, match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.novell.xsl.pattern.Pattern
`dump, match`

Constructor Detail

### AbsolutePathPattern

    public AbsolutePathPattern()

  Construct an AbsolutePathPattern that corresponds to the following: LocationPathPattern ::= '/'

### AbsolutePathPattern

    public AbsolutePathPattern(RelativePathPattern pattern)

  Construct an AbsolutePathPattern that corresponds to: LocationPathPattern ::= '/' RelativeLocationPath

  Parameters:
    `pattern` - The RelativeLocationPath after the '/'

Method Detail

### toString

    public String toString()

  Provide a readable description for debugging.

  Overrides:
    `toString` in class `RelativePathPattern`
  Returns:
    String representation

### performMatch

    protected Node performMatch(Node node,
                                ExpressionContext context)
                         throws XPathEvaluationException

  Perform the match semantics on the passed node. Return the left-most-matching node. This member overrides RelativePathPattern.performMatch()

  Overrides:
    `performMatch` in class `RelativePathPattern`
  Parameters:
    `node` - The node to match.
    `context` - The expression context for matching. must be a child of the root
  Returns:
    Node that matches left-most step in path pattern
  Throws:
    `XPathEvaluationException`

### getDefaultPriority

    public double getDefaultPriority()

  Return the default priority for this pattern. See XSLT spec for information on default priority calculation.

  Specified by:
    `getDefaultPriority` in interface `Pattern`
  Overrides:
    `getDefaultPriority` in class `RelativePathPattern`
  Returns:
    -0.5, 0.0, or 0.5

### getTarget

    public int getTarget()

  Return the target type of this Pattern. This is one of the values defined in the Pattern interface (ELEMENT_NAMED_TARGET, ELEMENT_WILDCARD_TARGET, etc.)

  Specified by:
    `getTarget` in interface `Pattern`
  Overrides:
    `getTarget` in class `RelativePathPattern`
  Returns:
    The target type value for this Pattern.

### getTargetName

    public ExpandedQName getTargetName()

  Return the name of the patterns target, if there is a target name. This may return null if there is no target name for this pattern (text(), node(), etc.). However, if getTarget() returns ELEMENT_NAMED_TARGET or ATTRIBUTE_NAMED_TARGET this will never return null.

  Specified by:
    `getTargetName` in interface `Pattern`
  Overrides:
    `getTargetName` in class `RelativePathPattern`
  Returns:
    The target name or null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD